## sdcc-4.1.0-1.src.tar.gz

=== sim/ucsim/s51.src/test/Makefile ===
PRJ		= test_mdu517 test_mdu88x \
		  stn stp strr sts stt stxr stxrw stxw \
		  stt_small stt_large \
		  monitor test_ser tim_ser stck_ovf \
		  oclk receiver

all:
	for p in $(PRJ); do \
		$(MAKE) -f $$p.mk clean all ;\
	done

clean:
	for p in $(PRJ); do \
		$(MAKE) -f $$p.mk clean ;\
	done
	rm -f *.out *.sout *.tim *.csv *.sim
	rm -f st*[56][0-9][0-9].cmd st*[56]*.txt

=== sim/ucsim/stm8.src/test/Makefile ===
PROJECTS	= s0 s1 s2 s3 t1 t2 t3 t4 xtest \
		  sl ss lled sled ltim stim sertest stck_ovf \
		  getbl \
		  monitor

.PHONY: projects $(PROJECTS)

projects: $(PROJECTS)

$(PROJECTS):
	$(MAKE) MAIN=$@ -f sdcc.mk

clean:
	for p in $(PROJECTS); do \
		$(MAKE) MAIN=$$p -f sdcc.mk clean ;\
		rm -rf $$p*.hex ;\
		rm -rf $$p*.cdb ;\
	done

=== sim/ucsim/z80.src/test/Makefile ===
PRJ		= t0 t1 t2 stck_ovf

all:
	for p in $(PRJ); do \
		$(MAKE) -f $$p.mk ;\
	done

clean:
	for p in $(PRJ); do \
		$(MAKE) -f $$p.mk clean ;\
	done

=== PKGBUILD ===
# Maintainer: Kyle Keen <keenerd@gmail.com>
# Contributor: Sergej Pupykin <pupykin.s+arch@gmail.com>
# Contributor: Jose Negron <josenj.arch@mailnull.net>

pkgname=sdcc
pkgver=4.1.0
pkgrel=1
pkgdesc="Retargettable ANSI C compiler (Intel 8051, Maxim 80DS390, Zilog Z80 and the Motorola 68HC08)"
arch=('x86_64')
license=('GPL')
depends=('bash' 'gcc-libs' 'boost-libs')
makedepends=('gputils' 'flex' 'bison' 'patch' 'boost')
optdepends=('python')
url="http://sdcc.sourceforge.net/"
options=(!strip  staticlibs)
source=(https://downloads.sourceforge.net/sourceforge/sdcc/$pkgname-src-${pkgver//_/-}.tar.bz2)
md5sums=('83df8cd5b24c7dbb7c83c5fa0857b3f8')

# namcap claims boost-libs isn't needed, investigate this

prepare() {
  cd "$srcdir/$pkgname"
  sed -i 's|CC -E|CC -O2 -E|g' support/sdbinutils/libiberty/configure
}

build() {
  cd "$srcdir/$pkgname"
  ./configure \
	--prefix=/usr \
	--includedir=/usr/include/sdcc \
	--libdir=/usr/lib/sdcc \
	--disable-werror
  make
}

package() {
  cd "$srcdir/$pkgname"

  make install DESTDIR="$pkgdir"

  if [ -d "$pkgdir/usr/lib/lib" ]; then
    mv "$pkgdir/usr/lib/lib/"* "$pkgdir/usr/lib/sdcc/"
    rm -rf "$pkgdir/usr/lib/lib"
  fi

  sed -i 's|#!/usr/bin/env python|#!/usr/bin/env python3|' "$pkgdir/usr/bin/as2gbmap"
}
